jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting" <jukka.zitt...@gmail.com>
Subject Re: Feedback on the current documentation
Date Fri, 20 Oct 2006 13:02:19 GMT

On 10/20/06, Changshin Lee <iasandcb@gmail.com> wrote:
> I tried Jackrabbit and found the following updates were needed in
> http://jackrabbit.apache.org/doc/firststeps.html and
> http://jackrabbit.apache.org/dependencies.html.
> commons-collections 3.2
> jta-1.0.1B
> junit 4.1
> log4j 1.2.14
> derby
> slf4j 1.0.2
> xerces 2.8.1
> I tested Jackrabbit with the updated dependencies above and it worked
> fine. Note that Lucene and some other libraries didn't work well with
> their latest version.

Thanks for the heads up and test results!

The documented dependencies are the tested and known good
configuration to run Jackrabbit with, so while we certainly can
upgrade to newer versions, I prefer to avoid changes unless there is a
known benefit in upgrading. The best way to request dependency
upgrades is to file Jira enhancement requests for the individual
dependencies so we can better track any regressions related to the

Note that the Lucene upgrade request is already filed as JCR-352, you
can check the details of the incompatibility problem there.


Jukka Zitting

View raw message